\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{beamercolorthemecrns}[2017/01/23 CRNS color theme]
\RequirePackage{pgfopts}
\pgfkeys{
  /crns/color/block/.cd,
    .is choice,
    transparent/.code=\crns@block@transparent,
    fill/.code=\crns@block@fill,
}
\pgfkeys{
  /crns/color/background/.cd,
    .is choice,
    dark/.code=\crns@colors@dark,
    light/.code=\crns@colors@light,
}
\newcommand{\crns@color@setdefaults}{
  \pgfkeys{/crns/color/.cd,
    background=light,
    block=transparent,
  }
}

\definecolor{mDarkBrown}{HTML}{604c38}
\definecolor{mDarkTeal}{HTML}{23373b} % plain text color
\definecolor{mLightBrown}{HTML}{ca242c} %AE0808
\definecolor{mLightGreen}{HTML}{14B03D}
\definecolor{mDarkRed}{HTML}{ae2626}

\newcommand{\crns@colors@dark}{
  \setbeamercolor{normal text}{%
    fg=black!2,
    bg=mDarkTeal
  }
  \usebeamercolor[fg]{normal text}
}
\newcommand{\crns@colors@light}{
  \setbeamercolor{normal text}{%
    fg=mDarkTeal,
    bg=black!2
  }
}
\setbeamercolor{alerted text}{%
  fg=mLightBrown
}
\setbeamercolor{example text}{%
  fg=mLightGreen
}
\setbeamercolor{titlelike}{use=normal text, parent=normal text}
\setbeamercolor{author}{use=normal text, parent=normal text}
\setbeamercolor{date}{use=normal text, parent=normal text}
\setbeamercolor{institute}{use=normal text, parent=normal text}
\setbeamercolor{structure}{use=normal text, fg=normal text.fg}
\setbeamercolor{palette primary}{%
  use=normal text,
  fg=normal text.bg,
  bg=normal text.fg
}
%TODO abh modified these colors
\setbeamercolor{frametitle}{%
  %use=palette primary,
  %parent=palette primary
  fg=normal text.bg,
  bg=mDarkRed
}
\setbeamercolor{progress bar}{%
  use=alerted text,
  fg=alerted text.fg,
  bg=alerted text.fg!50!black!30
}
\setbeamercolor{title separator}{
  use=progress bar,
  parent=progress bar
}
\setbeamercolor{progress bar in head/foot}{%
  use=progress bar,
  parent=progress bar
}
\setbeamercolor{progress bar in section page}{
  use=progress bar,
  parent=progress bar
}
\newcommand{\crns@block@transparent}{
  \setbeamercolor{block title}{%
    use=normal text,
    fg=normal text.fg,
    bg=
  }
  \setbeamercolor{block body}{
    bg=
  }
}
\newcommand{\crns@block@fill}{
  \setbeamercolor{block title}{%
    use=normal text,
    fg=normal text.fg,
    bg=normal text.bg!80!fg
  }
  \setbeamercolor{block body}{
    use={block title, normal text},
    bg=block title.bg!50!normal text.bg
  }
}
\setbeamercolor{block title alerted}{%
    use={block title, alerted text},
    bg=block title.bg,
    fg=alerted text.fg
}
\setbeamercolor{block title example}{%
    use={block title, example text},
    bg=block title.bg,
    fg=example text.fg
}
\setbeamercolor{block body alerted}{use=block body, parent=block body}
\setbeamercolor{block body example}{use=block body, parent=block body}
\setbeamercolor{footnote}{fg=normal text.fg!90}
\setbeamercolor{footnote mark}{fg=.}
\setbeamercolor{bibliography entry author}{fg=, bg=}
\setbeamercolor{bibliography entry title}{fg=, bg=}
\setbeamercolor{bibliography entry location}{fg=, bg=}
\setbeamercolor{bibliography entry note}{fg=, bg=}
\crns@color@setdefaults
\ProcessPgfPackageOptions{/crns/color}
\mode<all>
\endinput
%%
%% End of file `beamercolorthemecrns.sty'.
